Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Newer
Older
100644 43 lines (33 sloc) 0.98 kb
11d19db @duckinator .rvmrc magic so that bundler is installed for ruby 1.8.7
authored
1 ruby18="ruby-1.8.7-p357"
2 ruby19="ruby-1.9.2-p0"
3
4 ruby18_full="${ruby18}@sicuro-gem"
5 ruby19_full="${ruby19}@sicuro-gem"
6
ff2390a @duckinator Make .rvmrc actually check before installing everything
authored
7 HAVE_RUBY18=true
8 HAVE_RUBY19=true
9
f87cebc @duckinator Fixed .rvmrc
authored
10 which "${ruby18}" || HAVE_RUBY18=false
11 which "${ruby19}" || HAVE_RUBY19=false
12
13 if ! $HAVE_RUBY18; then
14 rvm install "${ruby18_full}"
5700683 @duckinator I can see no reason this shouldn't work correctly. That doesn't mean …
authored
15 rvm gemset create "${ruby18_full}"
16 rvm use "${ruby18_full}"
c85241a @duckinator Removed useless find() definition; make it use the appropriate bundle…
authored
17 gem install bundler --version='~> 1.0.0'
f87cebc @duckinator Fixed .rvmrc
authored
18 bundle install
19 fi
20
21 if ! $HAVE_RUBY19; then
22 rvm install "${ruby19_full}"
5700683 @duckinator I can see no reason this shouldn't work correctly. That doesn't mean …
authored
23 rvm gemset create "${ruby19_full}"
24 rvm use "${ruby19_full}"
c85241a @duckinator Removed useless find() definition; make it use the appropriate bundle…
authored
25 gem install bundler --version='~> 1.0.0'
f87cebc @duckinator Fixed .rvmrc
authored
26 bundle install
27 fi
ff2390a @duckinator Make .rvmrc actually check before installing everything
authored
28
11d19db @duckinator .rvmrc magic so that bundler is installed for ruby 1.8.7
authored
29
30 if [[ -n "$rvm_environments_path" && -s "$rvm_environments_path/${ruby19_full}" ]] ; then
31 . "$rvm_environments_path/${ruby19_full}"
5700683 @duckinator I can see no reason this shouldn't work correctly. That doesn't mean …
authored
32 #else
33 # rvm --create "${ruby19_full}"
e33a252 @duckinator Rewrite based on rubino's latest safeeval
authored
34 fi
51229ba @duckinator Added 1.8.7 to .rvmrc
authored
35
11d19db @duckinator .rvmrc magic so that bundler is installed for ruby 1.8.7
authored
36 if [[ -n "$rvm_environments_path" && -s "$rvm_environments_path/${ruby18_full}" ]] ; then
37 . "$rvm_environments_path/${ruby18_full}"
5700683 @duckinator I can see no reason this shouldn't work correctly. That doesn't mean …
authored
38 #else
39 # rvm --create "${ruby18_full}"
51229ba @duckinator Added 1.8.7 to .rvmrc
authored
40 fi
41
11d19db @duckinator .rvmrc magic so that bundler is installed for ruby 1.8.7
authored
42 rvm use "${ruby19_full}"
Something went wrong with that request. Please try again.